package com.naz.sdkdemo.adaapter;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;

import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.naz.sdkdemo.R;
import com.naz.sdkdemo.bean.StockInfo;

import java.util.List;

public class RepairTrademarkCompleteAdapter extends BaseQuickAdapter<StockInfo, BaseViewHolder> {
   public RepairTrademarkCompleteAdapter(@Nullable List<StockInfo> data) {
      super(R.layout.item_repair_trademark_complete, data);
   }

   @Override
   protected void convert(@NonNull BaseViewHolder holder, StockInfo info) {
      holder.setText(R.id.tv_pos, info.box_code_show);
      holder.setText(R.id.tv_name, info.material_code_show);
      holder.setText(R.id.tv_apply_num, ""+info.send_qty);
      holder.setText(R.id.tv_out_num, ""+info.out_qty);
      holder.setText(R.id.tv_remain_num, ""+info.qty);
   }
}
